﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR6200: (1 year) VER IEEE /5800A+5ch+GHz,DMM
DATE:                  2017-04-11 12:58:54
AUTHOR:                Fluke
REVISION:              $Revision: 19230 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       174
CONFIGURATION:         Fluke 5800A (C5,G2)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Source:
#        LeCroy WaveRunner® 6000 Series Service Manual, August 2004
#
#  The following tests have a Test Accuracy Ratio (TAR) of less than 4:1.
#        LEAKAGE VOLTAGE TEST (all channels)
#               DC, 50 Ohms : 20 mV/div, TAR 2:1
#               DC, 50 Ohms : 200 mV/div, TAR 2:1
#               DC, 1 MOhm  : 20 mV/div, TAR 2:1
#               DC, 1 MOhm  : 200 mV/div, TAR 2:1
#               DC, 1 MOhm  : 2 V/div, TAR 2:1
#               DC, 50 Ohms : External, TAR 2:1
#               DC, 1 MOhm  : External, TAR 2:1
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Global Variables Used:
#
#    @Chan
#      This variable specifies which channel of the oscilloscope
#      is currently being tested.
#        @Chan = 1 designates Channel 1
#        @Chan = 2 designates Channel 2
#        @Chan = 3 designates Channel 3
#        @Chan = 4 designates Channel 4
#        @Chan = 5 designates External input
#
#    @NumChan
#      This variable specifies the number of channels the WaveRunner
#      Series Model has.
#
#    @BW_MHz
#      This variable specifies the Bandwidth of the WaveRunner Series
#      Model being tested.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        W

  1.002  IF           0
  1.003  M5800                                                    C5
  1.004  5800         2GH                          1Vpp           LS S6 S  L
  1.005  IEEE         [@DMM]
  1.006  ENDIF

# Verify MET/CAL version compatibility.
  1.007  MATH         @ReqMetCalVersion = "7.20"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 or later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright

# Initialize UUT.
  1.014  IEEE         *CLS;*RST
# Clear parameters, turn channel header off, internal enable register off.
  1.015  IEEE2        PACL;CHDR OFF;INE 0
# Identify UUT.
  1.016  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.017  MATH         Model = "WR6200" ; @NumChan = 4 ; @BW_MHz = 2000

  1.018  IF           NOT(FIND(@ModelNum, Model, 1))
  1.019  HEAD         UUT AND SELECTED PROCEDURE DO NOT MATCH!
  1.020  DISP         The UUT is an [V @ModelNum], not a [V Model]!
  1.020  DISP
  1.020  DISP         Select "Advance", choose the appropriate
  1.020  DISP         procedure for the UUT, then restart.
  1.021  END
  1.022  ENDIF

  1.023  CALL         Sub High Voltage Safety Warning
  1.024  CALL         Sub Select Failed Test Mode
  1.025  CALL         Sub WR6000 Preliminary Instructions

  1.026  HEAD         EQUIPMENT REQUIREMENTS
  1.027  OPBR         -z Do you want to review the list of additional
  1.027  OPBR         equipment and/or accessories required?

  1.028  IF           MEM1
# Description of additional test equipment required to run this procedure.
  1.029  DISP         The following additional equipment and/or
  1.029  DISP         accessories are required:
  1.029  DISP
  1.029  DISP         - Cable Assy., 5800A output, 5 ea., supplied with 5800A
  1.030  ENDIF

  1.031  HEAD         HOOK-UP INFORMATION

  1.032  IF           ZCMP(Model, "WR6200")
  1.033  DISP         Make the following connections:
  1.033  DISP
  1.033  DISP         [32]     5800A        to         UUT
  1.033  DISP         [32] OUTPUT CHAN 1 -------> Channel 1 input
  1.033  DISP         [32] OUTPUT CHAN 2 -------> Channel 2 input
  1.033  DISP         [32] OUTPUT CHAN 5 -------> EXTernal input

  1.034  DISP         The next routine operator intervention occurs
  1.034  DISP         in approximately 17 minutes...
  1.035  ELSE
  1.036  DISP         Make the following connections:
  1.036  DISP
  1.036  DISP         [32]     5800A        to         UUT
  1.036  DISP         [32] OUTPUT CHAN 1 -------> Channel 1 input
  1.036  DISP         [32] OUTPUT CHAN 2 -------> Channel 2 input
  1.036  DISP         [32] OUTPUT CHAN 3 -------> Channel 3 input
  1.036  DISP         [32] OUTPUT CHAN 4 -------> Channel 4 input
  1.036  DISP         [32] OUTPUT CHAN 5 -------> EXTernal input

  1.037  DISP         The next routine operator intervention occurs
  1.037  DISP         in approximately 28 minutes...
  1.038  ENDIF

  1.039  JMPL         INPUT_NOISE

  1.040  LABEL        INPUT_IMPEDANCE
  1.041  CALL         Sub WR6000 (1 yr) Input Z Tests IEEE /5800+5Ch
  1.042  JMPL         DC_GAIN

  1.043  LABEL        LEAKAGE
  1.044  CALL         Sub WR6000 (1 yr) Leakage Tests IEEE /DMM
  1.045  END

  1.046  LABEL        INPUT_NOISE
  1.047  CALL         Sub WR6000 (1 yr) Input Noise Tests IEEE
  1.048  JMPL         INPUT_IMPEDANCE

  1.049  LABEL        DC_GAIN
  1.050  CALL         Sub WR6000 (1 yr) DC Gain  Tests IEEE /5800+5Ch
  1.051  CALL         Sub WR6000 (1 yr) Offset Tests IEEE /5800+5Ch
  1.052  CALL         Sub WR6000 (1 yr) BW Tests IEEE /5800+GHz+5Ch
  1.053  CALL         Sub WR6000 (1 yr) Trigger Level Tests IEEE /5800+5Ch

  1.054  RSLT         =
  1.055  HEAD         {TIMEBASE TEST}
  1.056  MATH         @Chan = 1
  1.057  M5800                                                    C1
  1.058  CALL         Sub WR6000 Select Channel
  1.059  CALL         Sub WR6000 (1 yr) Timebase VER IEEE /5800
  1.060  JMPL         LEAKAGE
